---
title: "List data retention policies"
url: https://hexelstudio.com/docs/api/ciam-iam/retention/list
---

# List data retention policies

**GET** `/audit/retention`

## Headers

- `Authorization: string`

  `Bearer <token>`.

## Returns

`200` OK (`map[array of RetentionPolicy]`)

## Example

```bash
curl --request GET \
  --url 'https://api.hexelstudio.com/v1/audit/retention' \
  --header "Authorization: Bearer $ACCESS_TOKEN"
```

### Response (200)

```json
{
  "key": [
    {
      "archive_enabled": true,
      "archive_target": "string",
      "created_at": "2026-01-01T00:00:00Z",
      "created_by_user_id": "string",
      "id": "string",
      "is_enabled": true,
      "organization_id": "string",
      "resource_type": "string",
      "retention_days": 0,
      "updated_at": "2026-01-01T00:00:00Z"
    }
  ]
}
```
